#!/bin/bash


disable_wakeup()
{
	targetf=$1

	cat $targetf | while read line; do
		mkpath=${line%/*}
		echo $mkpath
		if [ -e ${mkpath}/power/wakeup ]; then
			chmod +w ${mkpath}/power/wakeup
			echo disabled > ${mkpath}/power/wakeup
			chmod -w  ${mkpath}/power/wakeup
		fi
	done
}
	

target=`mktemp /tmp/tmp-XXXXX`

# disable USB mouse to wakeup
grep [Mm]ouse /sys/bus/usb/devices/*/product > $target 2>/dev/null
disable_wakeup $target

grep [Kk]eyboard /sys/bus/usb/devices/*/product > $target 2>/dev/null
disable_wakeup $target

